Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.esf
Class CommitmentTypeQualifier

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.esf.CommitmentTypeQualifier

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class CommitmentTypeQualifier
extends ASN1Object

Commitment type qualifiers, used in the Commitment-Type-Indication attribute (RFC3126). CommitmentTypeQualifier ::= SEQUENCE { commitmentTypeIdentifier CommitmentTypeIdentifier, qualifier ANY DEFINED BY commitmentTypeIdentifier OPTIONAL }

Constructor Summary
`CommitmentTypeQualifier(ASN1ObjectIdentifier commitmentTypeIdentifier)` Creates a new CommitmentTypeQualifier instance.
`CommitmentTypeQualifier(ASN1ObjectIdentifier commitmentTypeIdentifier, ASN1Encodable qualifier)` Creates a new CommitmentTypeQualifier instance.

Method Summary
`ASN1ObjectIdentifier` | `getCommitmentTypeIdentifier()`
`static CommitmentTypeQualifier` | `getInstance(java.lang.Object as)`
`ASN1Encodable` | `getQualifier()`
`ASN1Primitive` | `toASN1Primitive()` Returns a DER-encodable representation of this instance.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommitmentTypeQualifier

    public CommitmentTypeQualifier(ASN1ObjectIdentifier commitmentTypeIdentifier)

  Creates a new CommitmentTypeQualifier instance.

Parameters:
  `commitmentTypeIdentifier` - a CommitmentTypeIdentifier value

### CommitmentTypeQualifier

    public CommitmentTypeQualifier(ASN1ObjectIdentifier commitmentTypeIdentifier,
                                   ASN1Encodable qualifier)

  Creates a new CommitmentTypeQualifier instance.

Parameters:
  `commitmentTypeIdentifier` - a CommitmentTypeIdentifier value
  `qualifier` - the qualifier, defined by the above field.

Method Detail

### getInstance

    public static CommitmentTypeQualifier getInstance(java.lang.Object as)

### getCommitmentTypeIdentifier

    public ASN1ObjectIdentifier getCommitmentTypeIdentifier()

### getQualifier

    public ASN1Encodable getQualifier()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Returns a DER-encodable representation of this instance.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a ASN1Primitive value

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD